Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.xml.binding
Class TypeBinding

    java.lang.Object
      org.jboss.xml.binding.TypeBinding

All Implemented Interfaces:
  Serializable

public final class TypeBinding
extends Object
implements Serializable

Version:
  `$Revision: 1.6 $`
Author:
  Alexey Loubyansky
See Also:
  Serialized Form

Field Summary
`static int` | `XS_ANYSIMPLETYPE`
`static String` | `XS_ANYSIMPLETYPE_NAME`
`static int` | `XS_ANYURI`
`static String` | `XS_ANYURI_NAME`
`static int` | `XS_BASE64BINARY`
`static String` | `XS_BASE64BINARY_NAME`
`static int` | `XS_BOOLEAN`
`static String` | `XS_BOOLEAN_NAME`
`static int` | `XS_BYTE`
`static String` | `XS_BYTE_NAME`
`static int` | `XS_DATE`
`static String` | `XS_DATE_NAME`
`static int` | `XS_DATETIME`
`static String` | `XS_DATETIME_NAME`
`static int` | `XS_DECIMAL`
`static String` | `XS_DECIMAL_NAME`
`static int` | `XS_DOUBLE`
`static String` | `XS_DOUBLE_NAME`
`static int` | `XS_DURATION`
`static String` | `XS_DURATION_NAME`
`static int` | `XS_ENTITIES`
`static String` | `XS_ENTITIES_NAME`
`static int` | `XS_ENTITY`
`static String` | `XS_ENTITY_NAME`
`static int` | `XS_FLOAT`
`static String` | `XS_FLOAT_NAME`
`static int` | `XS_GDAY`
`static String` | `XS_GDAY_NAME`
`static int` | `XS_GMONTH`
`static String` | `XS_GMONTH_NAME`
`static int` | `XS_GMONTHDAY`
`static String` | `XS_GMONTHDAY_NAME`
`static int` | `XS_GYEAR`
`static String` | `XS_GYEAR_NAME`
`static int` | `XS_GYEARMONTH`
`static String` | `XS_GYEARMONTH_NAME`
`static int` | `XS_HEXBINARY`
`static String` | `XS_HEXBINARY_NAME`
`static int` | `XS_ID`
`static String` | `XS_ID_NAME`
`static int` | `XS_IDREF`
`static String` | `XS_IDREF_NAME`
`static int` | `XS_IDREFS`
`static String` | `XS_IDREFS_NAME`
`static int` | `XS_INT`
`static String` | `XS_INT_NAME`
`static int` | `XS_INTEGER`
`static String` | `XS_INTEGER_NAME`
`static int` | `XS_LANGUAGE`
`static String` | `XS_LANGUAGE_NAME`
`static int` | `XS_LONG`
`static String` | `XS_LONG_NAME`
`static int` | `XS_NAME`
`static String` | `XS_NAME_NAME`
`static int` | `XS_NCNAME`
`static String` | `XS_NCNAME_NAME`
`static int` | `XS_NEGATIVEINTEGER`
`static String` | `XS_NEGATIVEINTEGER_NAME`
`static int` | `XS_NMTOKEN`
`static String` | `XS_NMTOKEN_NAME`
`static int` | `XS_NMTOKENS`
`static String` | `XS_NMTOKENS_NAME`
`static int` | `XS_NONNEGATIVEINTEGER`
`static String` | `XS_NONNEGATIVEINTEGER_NAME`
`static int` | `XS_NONPOSITIVEINTEGER`
`static String` | `XS_NONPOSITIVEINTEGER_NAME`
`static int` | `XS_NORMALIZEDSTRING`
`static String` | `XS_NORMALIZEDSTRING_NAME`
`static int` | `XS_NOTATION`
`static String` | `XS_NOTATION_NAME`
`static int` | `XS_POSITIVEINTEGER`
`static String` | `XS_POSITIVEINTEGER_NAME`
`static int` | `XS_QNAME`
`static String` | `XS_QNAME_NAME`
`static int` | `XS_SHORT`
`static String` | `XS_SHORT_NAME`
`static int` | `XS_STRING`
`static String` | `XS_STRING_NAME`
`static int` | `XS_TIME`
`static String` | `XS_TIME_NAME`
`static int` | `XS_TOKEN`
`static String` | `XS_TOKEN_NAME`
`static int` | `XS_UNSIGNEDBYTE`
`static String` | `XS_UNSIGNEDBYTE_NAME`
`static int` | `XS_UNSIGNEDINT`
`static String` | `XS_UNSIGNEDINT_NAME`
`static int` | `XS_UNSIGNEDLONG`
`static String` | `XS_UNSIGNEDLONG_NAME`
`static int` | `XS_UNSIGNEDSHORT`
`static String` | `XS_UNSIGNEDSHORT_NAME`

Constructor Summary
`TypeBinding()`

Method Summary
`static boolean` | `isNormalizedString(String value)`
`static boolean` | `isValidToken(String value)`
`static String` | `marshal(String xsdType, Object value)`
`static String` | `marshalDate(Calendar value)` [-]yyyy-mm-dd
`static String` | `marshalDateTime(Calendar value)` [-]yyyy-mm-ddThh:mm:ss[.s+][timezone]
`static String` | `marshalGDay(Calendar value)` ---DD[timezonePart]
`static String` | `marshalGMonth(Calendar value)` --MM[timezone]
`static String` | `marshalGMonthDay(Calendar value)` --MM-DD[timezone]
`static String` | `marshalGYear(Calendar value)`
`static String` | `marshalGYearMonth(Calendar value)` [-]CCYY-MM[timezone]
`static String` | `marshalHexBinary(byte[] value)`
`static String` | `marshalTime(Calendar value)` hh:mm:ss:sss[timezone]
`static Object` | `unmarshal(String value, Class javaType)`
`static Object` | `unmarshal(String xsdType, String value)`
`static Calendar` | `unmarshalDate(String value)` Parses a string value that represents date following the format defined in http://www.w3.org/TR/xmlschema-2/#dateTime, i.e.
`static Calendar` | `unmarshalDateTime(String value)` Parses string value of datetime following the format [-]yyyy-mm-ddThh:mm:ss[.s+][timezone].
`static Calendar` | `unmarshalGDay(String value)` ---DD[timezonePart]
`static Calendar` | `unmarshalGMonth(String value)` --MM[timezone]
`static Calendar` | `unmarshalGMonthDay(String value)` --MM-DD[timezone]
`static Calendar` | `unmarshalGYear(String value)`
`static Calendar` | `unmarshalGYearMonth(String value)` Unmarshals gYearDate string following the format [-]CCYY-MM[timezone]
`static byte[]` | `unmarshalHexBinary(String value)` Converts hexBinary value into byte array by encoding two subsequent hexadecimal digits into one byte.
`static String[]` | `unmarshalIdRefs(String value)`
`static String[]` | `unmarshalNMTokens(String value)`
`static Calendar` | `unmarshalTime(String value)` Parses string representation of time following the format hh:mm:ss:sss with optional timezone indicator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XS_ANYSIMPLETYPE_NAME

    public static final String XS_ANYSIMPLETYPE_NAME

See Also:
  Constant Field Values

### XS_STRING_NAME

    public static final String XS_STRING_NAME

See Also:
  Constant Field Values

### XS_BOOLEAN_NAME

    public static final String XS_BOOLEAN_NAME

See Also:
  Constant Field Values

### XS_DECIMAL_NAME

    public static final String XS_DECIMAL_NAME

See Also:
  Constant Field Values

### XS_FLOAT_NAME

    public static final String XS_FLOAT_NAME

See Also:
  Constant Field Values

### XS_DOUBLE_NAME

    public static final String XS_DOUBLE_NAME

See Also:
  Constant Field Values

### XS_DURATION_NAME

    public static final String XS_DURATION_NAME

See Also:
  Constant Field Values

### XS_DATETIME_NAME

    public static final String XS_DATETIME_NAME

See Also:
  Constant Field Values

### XS_TIME_NAME

    public static final String XS_TIME_NAME

See Also:
  Constant Field Values

### XS_DATE_NAME

    public static final String XS_DATE_NAME

See Also:
  Constant Field Values

### XS_GYEARMONTH_NAME

    public static final String XS_GYEARMONTH_NAME

See Also:
  Constant Field Values

### XS_GYEAR_NAME

    public static final String XS_GYEAR_NAME

See Also:
  Constant Field Values

### XS_GMONTHDAY_NAME

    public static final String XS_GMONTHDAY_NAME

See Also:
  Constant Field Values

### XS_GDAY_NAME

    public static final String XS_GDAY_NAME

See Also:
  Constant Field Values

### XS_GMONTH_NAME

    public static final String XS_GMONTH_NAME

See Also:
  Constant Field Values

### XS_HEXBINARY_NAME

    public static final String XS_HEXBINARY_NAME

See Also:
  Constant Field Values

### XS_BASE64BINARY_NAME

    public static final String XS_BASE64BINARY_NAME

See Also:
  Constant Field Values

### XS_ANYURI_NAME

    public static final String XS_ANYURI_NAME

See Also:
  Constant Field Values

### XS_QNAME_NAME

    public static final String XS_QNAME_NAME

See Also:
  Constant Field Values

### XS_NOTATION_NAME

    public static final String XS_NOTATION_NAME

See Also:
  Constant Field Values

### XS_NORMALIZEDSTRING_NAME

    public static final String XS_NORMALIZEDSTRING_NAME

See Also:
  Constant Field Values

### XS_TOKEN_NAME

    public static final String XS_TOKEN_NAME

See Also:
  Constant Field Values

### XS_LANGUAGE_NAME

    public static final String XS_LANGUAGE_NAME

See Also:
  Constant Field Values

### XS_NMTOKEN_NAME

    public static final String XS_NMTOKEN_NAME

See Also:
  Constant Field Values

### XS_NMTOKENS_NAME

    public static final String XS_NMTOKENS_NAME

See Also:
  Constant Field Values

### XS_NAME_NAME

    public static final String XS_NAME_NAME

See Also:
  Constant Field Values

### XS_NCNAME_NAME

    public static final String XS_NCNAME_NAME

See Also:
  Constant Field Values

### XS_ID_NAME

    public static final String XS_ID_NAME

See Also:
  Constant Field Values

### XS_IDREF_NAME

    public static final String XS_IDREF_NAME

See Also:
  Constant Field Values

### XS_IDREFS_NAME

    public static final String XS_IDREFS_NAME

See Also:
  Constant Field Values

### XS_ENTITY_NAME

    public static final String XS_ENTITY_NAME

See Also:
  Constant Field Values

### XS_ENTITIES_NAME

    public static final String XS_ENTITIES_NAME

See Also:
  Constant Field Values

### XS_INTEGER_NAME

    public static final String XS_INTEGER_NAME

See Also:
  Constant Field Values

### XS_NONPOSITIVEINTEGER_NAME

    public static final String XS_NONPOSITIVEINTEGER_NAME

See Also:
  Constant Field Values

### XS_NEGATIVEINTEGER_NAME

    public static final String XS_NEGATIVEINTEGER_NAME

See Also:
  Constant Field Values

### XS_LONG_NAME

    public static final String XS_LONG_NAME

See Also:
  Constant Field Values

### XS_INT_NAME

    public static final String XS_INT_NAME

See Also:
  Constant Field Values

### XS_SHORT_NAME

    public static final String XS_SHORT_NAME

See Also:
  Constant Field Values

### XS_BYTE_NAME

    public static final String XS_BYTE_NAME

See Also:
  Constant Field Values

### XS_NONNEGATIVEINTEGER_NAME

    public static final String XS_NONNEGATIVEINTEGER_NAME

See Also:
  Constant Field Values

### XS_UNSIGNEDLONG_NAME

    public static final String XS_UNSIGNEDLONG_NAME

See Also:
  Constant Field Values

### XS_UNSIGNEDINT_NAME

    public static final String XS_UNSIGNEDINT_NAME

See Also:
  Constant Field Values

### XS_UNSIGNEDSHORT_NAME

    public static final String XS_UNSIGNEDSHORT_NAME

See Also:
  Constant Field Values

### XS_UNSIGNEDBYTE_NAME

    public static final String XS_UNSIGNEDBYTE_NAME

See Also:
  Constant Field Values

### XS_POSITIVEINTEGER_NAME

    public static final String XS_POSITIVEINTEGER_NAME

See Also:
  Constant Field Values

### XS_INT

    public static final int XS_INT

### XS_LONG

    public static final int XS_LONG

### XS_SHORT

    public static final int XS_SHORT

### XS_FLOAT

    public static final int XS_FLOAT

### XS_DOUBLE

    public static final int XS_DOUBLE

### XS_BOOLEAN

    public static final int XS_BOOLEAN

### XS_BYTE

    public static final int XS_BYTE

### XS_STRING

    public static final int XS_STRING

### XS_INTEGER

    public static final int XS_INTEGER

### XS_DECIMAL

    public static final int XS_DECIMAL

### XS_DATETIME

    public static final int XS_DATETIME

### XS_QNAME

    public static final int XS_QNAME

### XS_ANYURI

    public static final int XS_ANYURI

### XS_UNSIGNEDLONG

    public static final int XS_UNSIGNEDLONG

### XS_UNSIGNEDINT

    public static final int XS_UNSIGNEDINT

### XS_UNSIGNEDSHORT

    public static final int XS_UNSIGNEDSHORT

### XS_UNSIGNEDBYTE

    public static final int XS_UNSIGNEDBYTE

### XS_DATE

    public static final int XS_DATE

### XS_TIME

    public static final int XS_TIME

### XS_BASE64BINARY

    public static final int XS_BASE64BINARY

### XS_HEXBINARY

    public static final int XS_HEXBINARY

### XS_ANYSIMPLETYPE

    public static final int XS_ANYSIMPLETYPE

### XS_DURATION

    public static final int XS_DURATION

### XS_GYEARMONTH

    public static final int XS_GYEARMONTH

### XS_GYEAR

    public static final int XS_GYEAR

### XS_GMONTHDAY

    public static final int XS_GMONTHDAY

### XS_GMONTH

    public static final int XS_GMONTH

### XS_GDAY

    public static final int XS_GDAY

### XS_NORMALIZEDSTRING

    public static final int XS_NORMALIZEDSTRING

### XS_TOKEN

    public static final int XS_TOKEN

### XS_LANGUAGE

    public static final int XS_LANGUAGE

### XS_NAME

    public static final int XS_NAME

### XS_NCNAME

    public static final int XS_NCNAME

### XS_ID

    public static final int XS_ID

### XS_NMTOKEN

    public static final int XS_NMTOKEN

### XS_NMTOKENS

    public static final int XS_NMTOKENS

### XS_NONPOSITIVEINTEGER

    public static final int XS_NONPOSITIVEINTEGER

### XS_NEGATIVEINTEGER

    public static final int XS_NEGATIVEINTEGER

### XS_NONNEGATIVEINTEGER

    public static final int XS_NONNEGATIVEINTEGER

### XS_POSITIVEINTEGER

    public static final int XS_POSITIVEINTEGER

### XS_NOTATION

    public static final int XS_NOTATION

### XS_IDREF

    public static final int XS_IDREF

### XS_IDREFS

    public static final int XS_IDREFS

### XS_ENTITY

    public static final int XS_ENTITY

### XS_ENTITIES

    public static final int XS_ENTITIES

Constructor Detail

### TypeBinding

    public TypeBinding()

Method Detail

### unmarshal

    public static Object unmarshal(String xsdType,
                                   String value)

### unmarshal

    public static Object unmarshal(String value,
                                   Class javaType)

### marshal

    public static String marshal(String xsdType,
                                 Object value)

### unmarshalNMTokens

    public static String[] unmarshalNMTokens(String value)

### unmarshalIdRefs

    public static String[] unmarshalIdRefs(String value)

### unmarshalGMonthDay

    public static Calendar unmarshalGMonthDay(String value)

  --MM-DD[timezone]

  Parameters:
    `value` -
  Returns:

### marshalGMonthDay

    public static String marshalGMonthDay(Calendar value)

  --MM-DD[timezone]

  Parameters:
    `value` -
  Returns:

### unmarshalGMonth

    public static Calendar unmarshalGMonth(String value)

  --MM[timezone]

  Parameters:
    `value` -
  Returns:

### marshalGMonth

    public static String marshalGMonth(Calendar value)

  --MM[timezone]

  Parameters:
    `value` -
  Returns:

### unmarshalGYear

    public static Calendar unmarshalGYear(String value)

### marshalGYear

    public static String marshalGYear(Calendar value)

### unmarshalGYearMonth

    public static Calendar unmarshalGYearMonth(String value)

  Unmarshals gYearDate string following the format [-]CCYY-MM[timezone]

  Parameters:
    `value` -
  Returns:

### marshalGYearMonth

    public static String marshalGYearMonth(Calendar value)

  [-]CCYY-MM[timezone]

  Parameters:
    `value` -
  Returns:

### unmarshalGDay

    public static Calendar unmarshalGDay(String value)

  ---DD[timezonePart]

  Parameters:
    `value` -
  Returns:

### marshalGDay

    public static String marshalGDay(Calendar value)

  ---DD[timezonePart]

  Parameters:
    `value` -
  Returns:

### unmarshalDate

    public static Calendar unmarshalDate(String value)

  Parses a string value that represents date following the format defined in http://www.w3.org/TR/xmlschema-2/#dateTime, i.e. '-'? yyyy '-' mm '-' dd. Creates an instance of java.util.Calendar and initializes it to the parsed values of the year, month and day.

  Parameters:
    `value` - string date value
  Returns:
    equivalent date as an instance of java.util.Calendar.

### marshalDate

    public static String marshalDate(Calendar value)

  [-]yyyy-mm-dd

  Parameters:
    `value` - string date value
  Returns:
    equivalent date as an instance of java.util.Calendar.

### unmarshalTime

    public static Calendar unmarshalTime(String value)

  Parses string representation of time following the format hh:mm:ss:sss with optional timezone indicator.

  Parameters:
    `value` -
  Returns:

### marshalTime

    public static String marshalTime(Calendar value)

  hh:mm:ss:sss[timezone]

  Parameters:
    `value` -
  Returns:

### unmarshalDateTime

    public static Calendar unmarshalDateTime(String value)

  Parses string value of datetime following the format [-]yyyy-mm-ddThh:mm:ss[.s+][timezone].

  Parameters:
    `value` -
  Returns:

### marshalDateTime

    public static String marshalDateTime(Calendar value)

  [-]yyyy-mm-ddThh:mm:ss[.s+][timezone]

  Parameters:
    `value` -
  Returns:

### unmarshalHexBinary

    public static byte[] unmarshalHexBinary(String value)

  Converts hexBinary value into byte array by encoding two subsequent hexadecimal digits into one byte.

  Parameters:
    `value` -
  Returns:

### marshalHexBinary

    public static String marshalHexBinary(byte[] value)

  Parameters:
    `value` -
  Returns:

### isNormalizedString

    public static boolean isNormalizedString(String value)

### isValidToken

    public static boolean isValidToken(String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.